/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_RepeatRate_H_
#define	_RepeatRate_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* RepeatRate */
typedef long	 RepeatRate_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_RepeatRate;
asn_struct_free_f RepeatRate_free;
asn_struct_print_f RepeatRate_print;
asn_constr_check_f RepeatRate_constraint;
ber_type_decoder_f RepeatRate_decode_ber;
der_type_encoder_f RepeatRate_encode_der;
xer_type_decoder_f RepeatRate_decode_xer;
xer_type_encoder_f RepeatRate_encode_xer;
per_type_decoder_f RepeatRate_decode_uper;
per_type_encoder_f RepeatRate_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _RepeatRate_H_ */
#include <asn_internal.h>
